# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-cerealizer
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:			python-module-cerealizer
Summary: 		Secure pickle-like module
Version:		0.7
Release:		alt1_6
License:		Python
Group:			Development/Tools
Source0:		http://download.gna.org/soya/Cerealizer-%{version}.tar.bz2
URL:			http://home.gna.org/oomadness/en/cerealizer/index.html
BuildArch:		noarch
BuildRequires:		python-devel
Source44: import.info

%description
Cerealizer is a secure pickle-like module. It support basic types (int, string,
unicode, tuple, list, dict, set,...), old and new-style classes (you need to 
register the class for security), object cycles, and it can be extended to 
support C-defined type.

%prep
%setup -q -n Cerealizer-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

%check
export PYTHONPATH=$RPM_BUILD_ROOT/%{python_sitelibdir_noarch}
%{__python} test/regtest.py

%files
%doc README PKG-INFO
%{python_sitelibdir_noarch}/cerealizer/
%{python_sitelibdir_noarch}/Cerealizer-*.egg-info

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1_6
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1_5
- initial fc import

